package com.zhongshu.card.server.core.dao.devices;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.devices.extend.DeviceBindDaoExtend;
import com.zhongshu.card.server.core.domain.devices.DeviceBind;

/**
 * 设备Dao
 *
 * @author TRX
 * @date 2024/3/21
 */
public interface DeviceBindDao extends MongoDao<DeviceBind>, DeviceBindDaoExtend {

    DeviceBind findTopById(String id);

    DeviceBind findTopByDeviceIdAndOid(String deviceId, String oid);

    DeviceBind findTopByDeviceId(String deviceId);

}
